[SciPy-User] Install fail on Mac 10.6.2 in fftpack._fftpack

Adam Ginsburg adam.ginsburg@colorado....
Mon Feb 15 16:22:42 CST 2010


Hi, I'm trying to get scipy running on my new Snow Leopard system.  I
was able to get scipy built successfully yesterday, but not so much
today.  I'd appreciate any assistance in getting scipy installed.

I built fftw with the following setup:
./configure CC="gcc -arch i386 -arch x86_64" CXX="g++ -arch i386 -arch
x86_64" CPP="gcc -E" CXXCPP="g++ -E"
make
sudo make install

I've also tried multiple variations of architection for fftw (e.g. not
using -arch i386 and passing no compiler flags). I built UMFTPACK
following the instructions on: http://blog.hyperjeff.net/?p=160

I get the following error:
building 'scipy.fftpack._fftpack' extension
compiling C sources
C compiler: gcc-4.2 -DNDEBUG -g -O3 -arch i386 -arch x86_64

creating build/temp.macosx-10.6-intel-2.6/build
creating build/temp.macosx-10.6-intel-2.6/build/src.macosx-10.6-intel-2.6
creating build/temp.macosx-10.6-intel-2.6/build/src.macosx-10.6-intel-2.6/scipy
creating build/temp.macosx-10.6-intel-2.6/build/src.macosx-10.6-intel-2.6/scipy/fftpack
creating build/temp.macosx-10.6-intel-2.6/build/src.macosx-10.6-intel-2.6/scipy/fftpack/src
compile options: '-Iscipy/fftpack/src
-Ibuild/src.macosx-10.6-intel-2.6
-I/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/numpy/core/include
-I/Library/Frameworks/Python.framework/Versions/2.6/include/python2.6
-c'
gcc-4.2: build/src.macosx-10.6-intel-2.6/scipy/fftpack/src/dct.c
gcc-4.2: build/src.macosx-10.6-intel-2.6/scipy/fftpack/_fftpackmodule.c
gcc-4.2: scipy/fftpack/src/drfft.c
gcc-4.2: scipy/fftpack/src/zfft.c
gcc-4.2: scipy/fftpack/src/zrfft.c
gcc-4.2: scipy/fftpack/src/zfftnd.c
gcc-4.2: build/src.macosx-10.6-intel-2.6/fortranobject.c
/usr/local/bin/gfortran -Wall -lgfortran -arch x86_64
build/temp.macosx-10.6-intel-2.6/build/src.macosx-10.6-intel-2.6/scipy/fftpack/_fftpackmodule.o
build/temp.macosx-10.6-intel-2.6/scipy/fftpack/src/zfft.o
build/temp.macosx-10.6-intel-2.6/scipy/fftpack/src/drfft.o
build/temp.macosx-10.6-intel-2.6/scipy/fftpack/src/zrfft.o
build/temp.macosx-10.6-intel-2.6/scipy/fftpack/src/zfftnd.o
build/temp.macosx-10.6-intel-2.6/build/src.macosx-10.6-intel-2.6/scipy/fftpack/src/dct.o
build/temp.macosx-10.6-intel-2.6/build/src.macosx-10.6-intel-2.6/fortranobject.o
-L/usr/local/lib/gcc/i686-apple-darwin8/4.2.3/x86_64
-Lbuild/temp.macosx-10.6-intel-2.6 -ldfftpack -lfftpack -lgfortran -o
build/lib.macosx-10.6-intel-2.6/scipy/fftpack/_fftpack.so
Undefined symbols:
  "_Py_BuildValue", referenced from:
      _f2py_rout__fftpack_destroy_dct1_cache in _fftpackmodule.o

(...cut for brevity...)

  "_PyErr_Print", referenced from:
      _init_fftpack in _fftpackmodule.o
      _F2PyDict_SetItemString in fortranobject.o
ld: symbol(s) not found
collect2: ld returned 1 exit status
error: Command "/usr/local/bin/gfortran -Wall -lgfortran -arch x86_64
build/temp.macosx-10.6-intel-2.6/build/src.macosx-10.6-intel-2.6/scipy/fftpack/_fftpackmodule.o
build/temp.macosx-10.6-intel-2.6/scipy/fftpack/src/zfft.o
build/temp.macosx-10.6-intel-2.6/scipy/fftpack/src/drfft.o
build/temp.macosx-10.6-intel-2.6/scipy/fftpack/src/zrfft.o
build/temp.macosx-10.6-intel-2.6/scipy/fftpack/src/zfftnd.o
build/temp.macosx-10.6-intel-2.6/build/src.macosx-10.6-intel-2.6/scipy/fftpack/src/dct.o
build/temp.macosx-10.6-intel-2.6/build/src.macosx-10.6-intel-2.6/fortranobject.o
-L/usr/local/lib/gcc/i686-apple-darwin8/4.2.3/x86_64
-Lbuild/temp.macosx-10.6-intel-2.6 -ldfftpack -lfftpack -lgfortran -o
build/lib.macosx-10.6-intel-2.6/scipy/fftpack/_fftpack.so" failed with
exit status 1

My numpy setup information:
$ python -c 'from numpy.f2py.diagnose import run; run()'
------
os.name='posix'
------
sys.platform='darwin'
------
sys.version:
2.6.4 (r264:75706, Feb  1 2010, 13:22:43)
[GCC 4.2.1 (Apple Inc. build 5646) (dot 1)]
------
sys.prefix:
/Library/Frameworks/Python.framework/Versions/2.6
------
sys.path=':/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/distribute-0.6.10-py2.6.egg:/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/pip-0.6.3-py2.6.egg:/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/readline-2.6.4-py2.6-macosx-10.6-intel.egg:/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/pytz-2010b-py2.6.egg:/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/h5py-1.2.0-py2.6-macosx-10.6-intel.egg:/Users/adam/Downloads/yt-i386/src/yt-trunk-svn:/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/pyregion-0.1c-py2.6-macosx-10.6-intel.egg:/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/pyparsing-1.5.2-py2.6.egg:/Users/adam/Downloads/gildas-exe-jul09a/pc-darwin-g95/python:/Library/Frameworks/Python.framework/Versions/2.6/lib/python26.zip:/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6:/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-darwin:/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-mac:/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-mac/lib-scriptpackages:/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-tk:/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-old:/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload:/Users/adam/.local/lib/python2.6/site-packages:/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages'
------
Failed to import Numeric: No module named Numeric
Failed to import numarray: No module named numarray
Found new numpy version '1.4.0rc2' in
/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/numpy/__init__.pyc
Found f2py2e version '2_8112' in
/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/numpy/f2py/f2py2e.pyc
Found numpy.distutils version '0.4.0' in
'/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/numpy/distutils/__init__.pyc'
------
Importing numpy.distutils.fcompiler ... ok
------
Checking availability of supported Fortran compilers:
Gnu95FCompiler instance properties:
  archiver        = ['/usr/local/bin/gfortran', '-cr']
  compile_switch  = '-c'
  compiler_f77    = ['/usr/local/bin/gfortran', '-Wall', '-ffixed-form', '-
                    fno-second-underscore', '-arch', 'ppc', '-arch', 'i686', '
                    -arch', 'x86_64', '-fPIC', '-O3', '-funroll-loops']
  compiler_f90    = ['/usr/local/bin/gfortran', '-Wall', '-fno-second-
                    underscore', '-arch', 'ppc', '-arch', 'i686', '-arch',
                    'x86_64', '-fPIC', '-O3', '-funroll-loops']
  compiler_fix    = ['/usr/local/bin/gfortran', '-Wall', '-ffixed-form', '-
                    fno-second-underscore', '-Wall', '-fno-second-underscore',
                    '-arch', 'ppc', '-arch', 'i686', '-arch', 'x86_64', '-
                    fPIC', '-O3', '-funroll-loops']
  libraries       = ['gfortran']
  library_dirs    = []
  linker_exe      = ['/usr/local/bin/gfortran', '-Wall', '-Wall']
  linker_so       = ['/usr/local/bin/gfortran', '-Wall', '-arch', 'ppc', '-
                    arch', 'i686', '-arch', 'x86_64', '-Wall', '-undefined',
                    'dynamic_lookup', '-bundle']
  object_switch   = '-o '
  ranlib          = ['/usr/local/bin/gfortran']
  version         = LooseVersion ('4.2.3')
  version_cmd     = ['/usr/local/bin/gfortran', '--version']
G95FCompiler instance properties:
  archiver        = None
  compile_switch  = '-c'
  compiler_f77    = ['/usr/local/bin/g95', '-ffixed-form', '-fno-second-
                    underscore', '-O']
  compiler_f90    = ['/usr/local/bin/g95', '-fno-second-underscore', '-O']
  compiler_fix    = ['/usr/local/bin/g95', '-ffixed-form', '-fno-second-
                    underscore', '-O']
  libraries       = []
  library_dirs    = []
  linker_exe      = None
  linker_so       = ['/usr/local/bin/g95', '-shared', '-shared']
  object_switch   = '-o '
  ranlib          = None
  version         = LooseVersion ('0.92')
  version_cmd     = ['/usr/local/bin/g95', '--version']
Fortran compilers found:
  --fcompiler=g95    G95 Fortran Compiler (0.92)
  --fcompiler=gnu95  GNU Fortran 95 compiler (4.2.3)
Compilers available for this platform, but not found:
  --fcompiler=absoft  Absoft Corp Fortran Compiler
  --fcompiler=gnu     GNU Fortran 77 compiler
  --fcompiler=ibm     IBM XL Fortran Compiler
  --fcompiler=intel   Intel Fortran Compiler for 32-bit apps
  --fcompiler=nag     NAGWare Fortran 95 Compiler
Compilers not available on this platform:
  --fcompiler=compaq   Compaq Fortran Compiler
  --fcompiler=hpux     HP Fortran 90 Compiler
  --fcompiler=intele   Intel Fortran Compiler for Itanium apps
  --fcompiler=intelem  Intel Fortran Compiler for EM64T-based apps
  --fcompiler=intelev  Intel Visual Fortran Compiler for Itanium apps
  --fcompiler=intelv   Intel Visual Fortran Compiler for 32-bit apps
  --fcompiler=lahey    Lahey/Fujitsu Fortran 95 Compiler
  --fcompiler=mips     MIPSpro Fortran Compiler
  --fcompiler=none     Fake Fortran compiler
  --fcompiler=pg       Portland Group Fortran Compiler
  --fcompiler=sun      Sun or Forte Fortran 95 Compiler
  --fcompiler=vast     Pacific-Sierra Research Fortran 90 Compiler
For compiler details, run 'config_fc --verbose' setup command.
------
Importing numpy.distutils.cpuinfo ... ok
------
CPU information: CPUInfoBase__get_nbits getNCPUs is_64bit is_i386 ------


Thanks,
-- 
Adam Ginsburg
Graduate Student
Center for Astrophysics and Space Astronomy
University of Colorado at Boulder
http://casa.colorado.edu/~ginsbura/


More information about the SciPy-User mailing list